Bug 250488 - RFE: after having a node leave the cluster, update its status to red
Summary: RFE: after having a node leave the cluster, update its status to red
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-01 21:04 UTC by Corey Marthaler
Modified: 2009-04-16 22:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 16:09:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2007-08-01 21:04:55 UTC
Description of problem:
When having a node leave the cluster from the cluster -> nodes view task, once
the operation is finished and the conga spinner stops, the node is still green
(even though the operation worked perfectly) and that allows for confusion.
However the opposite is done correctly... when adding a red (not in the cluster
node) after the op is finished and the spinner stops, the node link turns green
as expected.


Version-Release number of selected component (if applicable):
luci-0.10.0-3.el5/ricci-0.10.0-3.el5

Comment 1 Ryan McCabe 2007-08-01 21:39:24 UTC
The real problem is that ricci asks modclusterd for info regarding cluster 
nodes, services, etc. modclusterd probes at a regular interval (I think 8s), so 
sometimes slightly stale info is displayed. In the case of a node removal, the 
info is definitely misleading and confusing.

Comment 2 RHEL Product and Program Management 2007-10-16 03:51:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Kiersten (Kerri) Anderson 2007-10-31 15:42:12 UTC
Devel NAK for 5.2 - ended up below the line of available resources.

Comment 4 RHEL Product and Program Management 2007-10-31 15:42:44 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.